<?php
namespace App\Model\Interfaces;

use App\Model\Entities\Interfaces\IBaseNamedRecord;


interface ISite extends IBaseNamedRecord
{
    /**
     * @return bool
     */
    public function isGlobalSite() : bool;

    /**
     * @param bool $isGlobalSite
     */
    public function setIsGlobalSite(bool $isGlobalSite);

    public function isGameSite() : bool;

    public function isGuildSite() : bool;
}